<?
  # light yellow for underlying currently happening events
  #
  $nowcolor = 2;
  $event_month = array ("","Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");
  $event_cols = "oid,name,start,start+delta,city,country,cancelled";

  $event_table_start = '<table class="smallfont border" width=100% cellspacing=1 cellpadding=0>'
		.'<tr class="head">'
		.'<th width=65%>Event</th>'
		.'<th width=25%>City (Country)</th>'
		.'<th width=10%>Date</th></tr>';
  $event_table_end = '</table>';

  $event_row = '<tr class="t%d">'
	      .'<td class="leftcol"><a href="show.php?id=%d">%s</a>%s</td>'
	      .'<td align="left">%s&nbsp;(%s)</td>'
	      .'<td align="center">%s</td></tr>';

  # Properly decode start time and duration of an event
  # Same as on www.infodrom.org in calendar.style
  #
  function format_date ($date, $end)
  {
    global $event_month;

    $mi = sprintf ("%d", $date[1]);
    if ($date[1] == $end[1]) {
      if ($date[2] == $end[2]) {
        $date = sprintf ("%s&nbsp;%d", $event_month[$mi], $date[2]);
      } else {
        $date = sprintf ("%s&nbsp;%d-%d", $event_month[$mi], $date[2], $end[2]);
      }
    } else {
      $mii = sprintf ("%d", $end[1]);
      $date = sprintf ("%s&nbsp;%d-%s&nbsp;%d", $event_month[$mi], $date[2], $event_month[$mii], $end[2]);
    }
    return $date;
  }
?>
